%{?nodejs_find_provides_and_requires}
Name:                nodejs-ansi
Version:             0.3.0
Release:             1
Summary:             ANSI escape codes for Node.js
License:             MIT
URL:                 https://github.com/TooTallNate/ansi.js
Source0:             https://registry.npmjs.org/ansi/-/ansi-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
ansi.js is a module for Node.js that provides an easy-to-use API for writing
ANSI escape codes to Stream instances. ANSI escape codes are used to do fancy
things in a terminal window, like render text in colors, delete characters,
lines, the entire window, or hide and show the cursor, and lots more!

%prep
%setup -q -n package
chmod a-x examples/*.js examples/*/*

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ansi
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/ansi
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"

%files
%doc README.md History.md examples
%{nodejs_sitelib}/ansi

%changelog
* Sat Aug 8 2020 wutao <wutao61@huawei.com> - 0.3.0-1
- package init
